## ros-noetic-tesseract-geometry 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

# Extract package name and version
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

if(WIN32)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

find_package(Eigen3 REQUIRED)
find_package(console_bridge REQUIRED)
find_package(tesseract_common REQUIRED)
find_package(octomap REQUIRED)
find_package(assimp REQUIRED)
link_directories(${assimp_LIBRARY_DIRS})

if(NOT TARGET console_bridge::console_bridge)
  add_library(console_bridge::console_bridge INTERFACE IMPORTED)
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                  ${console_bridge_INCLUDE_DIRS})
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_LINK_LIBRARIES ${console_bridge_LIBRARIES})
else()
  get_target_property(CHECK_INCLUDE_DIRECTORIES console_bridge::console_bridge INTERFACE_INCLUDE_DIRECTORIES)
  if(NOT ${CHECK_INCLUDE_DIRECTORIES})
    set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                    ${console_bridge_INCLUDE_DIRS})
  endif()
endif()

# These targets are necessary for 16.04 builds. Remove when Kinetic support is dropped
if(NOT TARGET octomap)
  add_library(octomap INTERFACE IMPORTED)
  set_target_properties(octomap PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${OCTOMAP_INCLUDE_DIRS}")
  set_target_properties(octomap PROPERTIES INTERFACE_LINK_LIBRARIES "${OCTOMAP_LIBRARIES}")
endif()
if(NOT TARGET octomath)
  add_library(octomath INTERFACE IMPORTED)
  set_target_properties(octomath PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${OCTOMAP_INCLUDE_DIRS}")
  set_target_properties(octomath PROPERTIES INTERFACE_LINK_LIBRARIES "${OCTOMAP_LIBRARIES}")
endif()

find_file(ASSIMP_PBR_MATERIAL_FOUND assimp/pbrmaterial.h HINTS ${assimp_INCLUDE_DIRS})

if(ASSIMP_PBR_MATERIAL_FOUND)
  set(TESSERACT_ASSIMP_USE_PBRMATERIAL TESSERACT_ASSIMP_USE_PBRMATERIAL=1)
else()
  set(TESSERACT_ASSIMP_USE_PBRMATERIAL)
endif()

# Load variable for clang tidy args, compiler options and cxx version
tesseract_variables()

initialize_code_coverage(ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
set(COVERAGE_EXCLUDE
    /usr/*
    /opt/*
    ${CMAKE_CURRENT_LIST_DIR}/test/*
    /*/gtest/*)
add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

add_library(${PROJECT_NAME} INTERFACE)
target_link_libraries(
  ${PROJECT_NAME}
  INTERFACE Eigen3::Eigen
            tesseract::tesseract_common
            console_bridge::console_bridge
            octomap
            octomath
            ${assimp_LIBRARIES})
target_compile_options(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_DEFINITIONS}
                                                     ${TESSERACT_ASSIMP_USE_PBRMATERIAL})
target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME} INTERFACE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}
  INTERFACE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME} INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                     "$<INSTALL_INTERFACE:include>")
target_include_directories(${PROJECT_NAME} SYSTEM INTERFACE ${assimp_INCLUDE_DIRS})

configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME})

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}
  DESTINATION include
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

install(FILES "${CMAKE_CURRENT_LIST_DIR}/cmake/Findassimp.cmake" DESTINATION lib/cmake/${PROJECT_NAME})

# ADD Examples
add_subdirectory(examples)

if(TESSERACT_ENABLE_TESTING)
  enable_testing()
  add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
  add_subdirectory(test)
endif()

if(TESSERACT_PACKAGE)
  tesseract_cpack(
    VERSION ${pkg_extracted_version}
    MAINTAINER <https://github.com/ros-industrial-consortium/tesseract>
    DESCRIPTION ${pkg_extracted_description}
    LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
    LINUX_DEPENDS
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "libassimp-dev"
      "libconsole-bridge-dev"
      "liboctomap-dev (>= 1.9.6) | ${TESSERACT_PACKAGE_PREFIX}octomap"
      "libeigen3-dev"
    WINDOWS_DEPENDS
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "Assimp"
      "Eigen3"
      "console_bridge")
endif()

=== examples/CMakeLists.txt ===
find_package(tesseract_support REQUIRED)

add_executable(${PROJECT_NAME}_create_geometries_example create_geometries_example.cpp)
target_link_libraries(
  ${PROJECT_NAME}_create_geometries_example
  ${PROJECT_NAME}
  console_bridge::console_bridge
  tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_create_geometries_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                         ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_clang_tidy(${PROJECT_NAME}_create_geometries_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_create_geometries_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
install(TARGETS ${PROJECT_NAME}_create_geometries_example DESTINATION bin)

add_executable(${PROJECT_NAME}_parse_mesh_example parse_mesh_example.cpp)
target_link_libraries(
  ${PROJECT_NAME}_parse_mesh_example
  ${PROJECT_NAME}
  console_bridge::console_bridge
  tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_parse_mesh_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                  ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_clang_tidy(${PROJECT_NAME}_parse_mesh_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_parse_mesh_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
install(TARGETS ${PROJECT_NAME}_parse_mesh_example DESTINATION bin)

=== test/CMakeLists.txt ===
find_package(GTest REQUIRED)
find_package(tesseract_support REQUIRED)

if(NOT TARGET GTest::GTest)
  add_library(GTest::GTest INTERFACE IMPORTED)
  set_target_properties(GTest::GTest PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_LIBRARIES})
    set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "gtest.lib")
    else()
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest.so")
    endif()
  endif()
endif()

if(NOT TARGET GTest::Main)
  add_library(GTest::Main INTERFACE IMPORTED)
  set_target_properties(GTest::Main PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_MAIN_LIBRARIES})
    set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_MAIN_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "gtest_main.lib")
    else()
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest_main.so")
    endif()
  endif()
endif()

include(GoogleTest)

add_executable(${PROJECT_NAME}_unit tesseract_geometry_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_unit)

=== debian/changelog ===
ros-noetic-tesseract-geometry (0.4.1-1buster) buster; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Sat, 24 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-geometry (0.4.0-1buster) buster; urgency=high

  * No changes

 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 23 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-geometry (0.3.1-1buster) buster; urgency=high

  * Move tesseract_variables() before any use of custom macros
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 14 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-geometry (0.3.0-1buster) buster; urgency=high

  * Only enable code coverage if compiler definition is set
  * Add cmake format
  * Use boost targets, add cpack and license file (#572 <https://github.com/ros-industrial-consortium/tesseract/issues/572>)
  * Fix the way in which Eigen is included (#570 <https://github.com/ros-industrial-consortium/tesseract/issues/570>)
  * Contributors: Hervé Audren, Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 09 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-geometry (0.2.0-1buster) buster; urgency=high

  * Update cmake_common_scripts to ros_industrial_cmake_boilerplate
  * Move all directories in tesseract directory up one level
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 17 Feb 2021 06:00:00 -0000

ros-noetic-tesseract-geometry (0.1.0-1buster) buster; urgency=high

  * Add missing include to tesseract_geometry/types.h
  * Add asserts to mesh.h sdf_mesh.h to error if not triangle meshes
  * Fix incorrect includes in cylinder.h and octree.h
  * remove unused dependencies
  * Add tesseract_geometry package and update tesseract_collision to leverage new package
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 31 Dec 2020 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-tesseract-geometry
Section: misc
Priority: optional
Maintainer: Levi Armstrong <Armstrong@todo.todo>
Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, ros-noetic-octomap, ros-noetic-tesseract-common
Description: The tesseract_geometry package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tesseract-geometry//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-tesseract-geometry//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-tesseract-geometry 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,28 +62,41 @@
     /*/gtest/*)
 add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
 
-add_library(${PROJECT_NAME} INTERFACE)
+add_library(
+  ${PROJECT_NAME} SHARED
+  src/geometry.cpp
+  src/utils.cpp
+  src/geometries/box.cpp
+  src/geometries/capsule.cpp
+  src/geometries/cone.cpp
+  src/geometries/convex_mesh.cpp
+  src/geometries/cylinder.cpp
+  src/geometries/mesh.cpp
+  src/geometries/octree.cpp
+  src/geometries/plane.cpp
+  src/geometries/polygon_mesh.cpp
+  src/geometries/sdf_mesh.cpp
+  src/geometries/sphere.cpp)
 target_link_libraries(
   ${PROJECT_NAME}
-  INTERFACE Eigen3::Eigen
-            tesseract::tesseract_common
-            console_bridge::console_bridge
-            octomap
-            octomath
-            ${assimp_LIBRARIES})
-target_compile_options(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_compile_definitions(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_DEFINITIONS}
-                                                     ${TESSERACT_ASSIMP_USE_PBRMATERIAL})
-target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
-target_cxx_version(${PROJECT_NAME} INTERFACE VERSION ${TESSERACT_CXX_VERSION})
+  PUBLIC Eigen3::Eigen
+         tesseract::tesseract_common
+         console_bridge::console_bridge
+         octomap
+         octomath
+         ${assimp_LIBRARIES})
+target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
+target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS} ${TESSERACT_ASSIMP_USE_PBRMATERIAL})
+target_clang_tidy(${PROJECT_NAME} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
 target_code_coverage(
   ${PROJECT_NAME}
-  INTERFACE
+  PRIVATE
   ALL
   EXCLUDE ${COVERAGE_EXCLUDE}
   ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
-target_include_directories(${PROJECT_NAME} INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-                                                     "$<INSTALL_INTERFACE:include>")
+target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+                                                  "$<INSTALL_INTERFACE:include>")
 target_include_directories(${PROJECT_NAME} SYSTEM INTERFACE ${assimp_INCLUDE_DIRS})
 
 configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME})
@@ -99,9 +112,11 @@
 install(FILES "${CMAKE_CURRENT_LIST_DIR}/cmake/Findassimp.cmake" DESTINATION lib/cmake/${PROJECT_NAME})
 
 # ADD Examples
-add_subdirectory(examples)
+if(TESSERACT_ENABLE_EXAMPLES OR TESSERACT_GEOMETRY_ENABLE_EXAMPLES)
+  add_subdirectory(examples)
+endif()
 
-if(TESSERACT_ENABLE_TESTING)
+if(TESSERACT_ENABLE_TESTING OR TESSERACT_GEOMETRY_ENABLE_TESTING)
   enable_testing()
   add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
   add_subdirectory(test)
@@ -115,14 +130,15 @@
     LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
     README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
     LINUX_DEPENDS
-      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
       "libassimp-dev"
       "libconsole-bridge-dev"
-      "liboctomap-dev (>= 1.9.6) | ${TESSERACT_PACKAGE_PREFIX}octomap"
+      "liboctomap-dev (>= 1.9.3) | ${TESSERACT_PACKAGE_PREFIX}octomap"
       "libeigen3-dev"
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
     WINDOWS_DEPENDS
-      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
       "Assimp"
+      "console_bridge"
+      "octomap | ${TESSERACT_PACKAGE_PREFIX}octomap"
       "Eigen3"
-      "console_bridge")
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-common")
 endif()

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,7 @@
   tesseract::tesseract_support)
 target_compile_options(${PROJECT_NAME}_create_geometries_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                          ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_clang_tidy(${PROJECT_NAME}_create_geometries_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
-                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME}_create_geometries_example ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_create_geometries_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
 add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
 install(TARGETS ${PROJECT_NAME}_create_geometries_example DESTINATION bin)
@@ -22,8 +21,7 @@
   tesseract::tesseract_support)
 target_compile_options(${PROJECT_NAME}_parse_mesh_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                   ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_clang_tidy(${PROJECT_NAME}_parse_mesh_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
-                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME}_parse_mesh_example ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_parse_mesh_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
 add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
 install(TARGETS ${PROJECT_NAME}_parse_mesh_example DESTINATION bin)

=== test/CMakeLists.txt ===
find_gtest()
find_package(tesseract_support REQUIRED)

add_executable(${PROJECT_NAME}_serialization_unit tesseract_geometry_serialization_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_serialization_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                  ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_serialization_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_serialization_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_serialization_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_serialization_unit)
add_dependencies(${PROJECT_NAME}_serialization_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_serialization_unit)

add_executable(${PROJECT_NAME}_unit tesseract_geometry_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_unit)

=== debian/changelog ===
ros-noetic-tesseract-geometry (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.18.0-1focal) focal; urgency=high

  * Add package cmake flags for testing, examples and benchmarks
  * Fix makeConvexMesh to pass through scale used on resource
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.17.0-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.1-1focal) focal; urgency=high

  * Fix polygon_mesh default geometry type in constructor
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.0-1focal) focal; urgency=high

  * Improve geometry code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.2-1focal) focal; urgency=high

  * Switch include in tesseract_collision
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.0-1focal) focal; urgency=high

  * Performance improvements found using callgrind (#852 <https://github.com/tesseract-robotics/tesseract/issues/852>)
  * Update all geometry types to use default tracking for serialization
  * Improve tesseract_geometry code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-geometry (0.14.0-1focal) focal; urgency=high

  * Remove deprecated items
  * Fix codecov build using ros_industrial_cmake_boilerplate 0.3.1
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.10-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.7-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.5-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.4-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.2-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.0-1focal) focal; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.7-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.6-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.5-1focal) focal; urgency=high

  * Add boost serialization for Environment commands and all underlying types (#726 <https://github.com/tesseract-robotics/tesseract/issues/726>)
    * Add serialization macros to tesseract_common
    * Add serialization for tesseract_geometry primatives
    * Add serialization for meshes and octree
    * Add serialization for Link and Joint
    * Add serialization for tesseract_common types


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Levi Armstrong <Armstrong@todo.todo>
-Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support
+Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev <!nocheck>, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,17 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
 # Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
 export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -31,7 +36,8 @@
 	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
